<template>
    <div v-if="isLoaded" class="loading-container" style="height: 70vh">
        <div class="loading-box"></div>
    </div>
    <div v-else>
        <div>
            <div class="header-page">
                <div class="title">Програма {{ name }}</div> - {{channel_id}}

            </div>
            <div class="body-page">
                <div class="view-video" id="viewChannel">
                    <channel-player :link="epgLink" :archive="0" @statistic="sendStatistics"></channel-player>
                </div>

            </div>
        </div>
    </div>
</template>

<script>
    import ChannelPlayer from "@/components/players/ChannelPlayer";

    export default {
        name: "timeshift",
        components: {ChannelPlayer},
        data() {
            return {
                tab: 2
            };
        },
        computed: {
            isLoaded() {
                return this.$store.getters.isLoading('epg');
            },
            epgLink() {
                return this.$store.state.epg.link;
            },
            id() {
                return this.$route.params.id
            },
            channel_id() {
                return this.$route.params.channel_id
            },
            startTime() {
                return this.$store.state.startTime;
            },
            name() {
                return this.$route.params.name
            }

        },
        methods: {
            sendStatistics() {
                console.log('sendStatistics TimeShift');
            }
        },
        beforeMount() {
            this.$store.dispatch('loadEPGLink',this.id);
        },
        beforeRouteLeave (to, from, next) {
            if (this.startTime) {
                let time = Math.floor( (Date.now() - this.startTime)/1000 );
                if (time >= 10 ){
                    let params = {
                        id: parseInt(this.channel_id),
                        uid: this.$store.state.User.id,
                        sec: time
                    };
                    this.$store.dispatch('sendStatisticArchive', params);
                }
                this.$store.dispatch('clearStartTime');
            }
            next()
        }
    }
</script>

<style scoped>

    .tab-menu {
        display: flex;
        justify-content: flex-start;
    }
    .tab-menu .tab-menu-item {
        display: flex;
        align-items: center;
        padding: 10px 20px;
        margin: 0 5px 0 0;
        border-bottom: 2px solid #fff;
        cursor: pointer;
        font-family: Gil-SB, serif;
    }
    .tab-menu .tab-menu-item.active {
        border-bottom: 2px solid #478dcd;
        color: #478dcd;
        cursor: default;
    }

    .play-icon {
        min-width: 30px;
        max-width: 30px;
        margin-left: auto;
    }

    .icon-play {
        min-width: 24px;
        max-width: 24px;
        height: 24px;
        display: flex;
        margin-left: auto;
        background: url(/images/play-button.svg) no-repeat center;
        background-size: contain;
    }

    .btn-favorite {
        padding:  0 20px !important;
        font-size: 21px;
        transition-duration: .3s;
    }
    .btn-default.btn-favorite {
        color: #478dcd;
    }
</style>
